Summary:	A cpufreq plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka cpufreq dla panelu Xfce
Name:		xfce4-cpufreq-plugin
Version:	1.2.7
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-cpufreq-plugin/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	ea87da45feed6edb342f0e7ede77edbc
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	intltool >= 0.35.5
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.14.0
BuildRequires:	xfce4-panel-devel >= 4.14.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin displays the current frequency of the CPU, in GHz or MHz
as necessary. It also displays the frequency relative to the maximum
CPU frequency as an accordingly colored progress bar.

%description -l pl.UTF-8
Ta wtyczka wyświetla aktualną częstotliwość procesora w GHz lub MHz.
Wyświetla także częstotliwość względem maksymalnej częstotliwości
procesora jako odpowiednio pokolorowany pasek.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hye,ie,ur_PK}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/libcpufreq.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libcpufreq.so*
%{_datadir}/xfce4/panel/plugins/cpufreq.desktop
%{_iconsdir}/hicolor/*/*/*.png
%changelog
* Sat Feb 05 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-cpufreq-plugin.git;a=log;h=master

* Sat Feb 05 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 14e9452
- up to 1.2.7

* Sun Jan 30 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ede3d0c
- up to 1.2.6

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 668053d
- rebuild with separate debuginfo build-ids

* Tue Mar 02 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d805759
- up to 1.2.5

* Thu Feb 04 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9b1e9bf
- up to 1.2.4

* Tue Jan 12 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0fd56c8
- up to 1.2.3

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9296486
- up to 1.2.2

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> a9221f1
- remove obsolete patch

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 72e7e6e
- up to 1.2.1

* Sat Jan 06 2018 Jan Rękorajski <baggins@pld-linux.org> 8a3e407
- up to 1.1.3

* Sat Jan 06 2018 Jan Rękorajski <baggins@pld-linux.org> 5b70795
- /proc/cpuinfo shows only the basic cpu clock speed since kernel 4.13

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 5553e46
- up to 1.1.1

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 6fb4d50
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2b26e2d
- updated gettext BR

* Sat Aug 16 2014 Jan Rękorajski <baggins@pld-linux.org> d404f08
- up to 1.1.0

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 25ea24e
- release 3

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> 1babd3c
- rel 2
- port to libxfce4ui

* Mon Feb 14 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 9217359
- updated to 1.0.0

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> fb4b02f
- Requires(post,postun): gtk-update-icon-cache

* Tue Apr 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 2ffb1cd
- pl

